summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mikko Värri2010-07-16 20:54:11 +0200
committer Erik Hanson2010-07-21 08:42:40 +0200
commit9125b30c9e197a15435b6bedef1e271c7f23f448 (patch)
tree0c9212f88f21b8e37381dd1c2bb2b3f47c5c2e7e
parent5ca4ce46ad8acf75f3448a6c5084db36b53ccf30 (diff)
downloadslackbuilds-9125b30c9e197a15435b6bedef1e271c7f23f448.tar.gz
libraries/haskell-utf8-string: Added (Support for reading and writing UTF8 Strings)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--libraries/haskell-utf8-string/README7
-rw-r--r--libraries/haskell-utf8-string/doinst.sh1
-rw-r--r--libraries/haskell-utf8-string/haskell-utf8-string.SlackBuild89
-rw-r--r--libraries/haskell-utf8-string/haskell-utf8-string.info10
-rw-r--r--libraries/haskell-utf8-string/slack-desc19
5 files changed, 126 insertions, 0 deletions
diff --git a/libraries/haskell-utf8-string/README b/libraries/haskell-utf8-string/README
new file mode 100644
index 0000000000..528d46cb49
--- /dev/null
+++ b/libraries/haskell-utf8-string/README
@@ -0,0 +1,7 @@
+haskell-utf8-string (Support for reading and writing UTF8 Strings)
+
+A UTF8 layer for IO and Strings. The utf8-string package provides
+operations for encoding UTF8 strings to Word8 lists and back, and
+for reading and writing UTF8 without truncation.
+
+This requires ghc.
diff --git a/libraries/haskell-utf8-string/doinst.sh b/libraries/haskell-utf8-string/doinst.sh
new file mode 100644
index 0000000000..3268c238bf
--- /dev/null
+++ b/libraries/haskell-utf8-string/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/ghc-pkg recache
diff --git a/libraries/haskell-utf8-string/haskell-utf8-string.SlackBuild b/libraries/haskell-utf8-string/haskell-utf8-string.SlackBuild
new file mode 100644
index 0000000000..b294a923a9
--- /dev/null
+++ b/libraries/haskell-utf8-string/haskell-utf8-string.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for utf8-string
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+SRCNAM=utf8-string
+PRGNAM=haskell-$SRCNAM
+VERSION=${VERSION:-0.3.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup.lhs configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$SRCNAM-$VERSION \
+ --enable-shared \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.lhs build
+runghc Setup.lhs haddock
+runghc Setup.lhs copy --destdir=$PKG
+runghc Setup.lhs register --gen-pkg-config
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/haskell-utf8-string/haskell-utf8-string.info b/libraries/haskell-utf8-string/haskell-utf8-string.info
new file mode 100644
index 0000000000..5685eac508
--- /dev/null
+++ b/libraries/haskell-utf8-string/haskell-utf8-string.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-utf8-string"
+VERSION="0.3.6"
+HOMEPAGE="http://hackage.haskell.org/package/utf8-string"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/utf8-string/0.3.6/utf8-string-0.3.6.tar.gz"
+MD5SUM="be8c5ef52a0824babdc89d60c1e9b600"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="Erik Hanson"
diff --git a/libraries/haskell-utf8-string/slack-desc b/libraries/haskell-utf8-string/slack-desc
new file mode 100644
index 0000000000..d116c5dae0
--- /dev/null
+++ b/libraries/haskell-utf8-string/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-utf8-string: haskell-utf8-string (Support for reading and writing UTF8 Strings)
+haskell-utf8-string:
+haskell-utf8-string: A UTF8 layer for IO and Strings. The utf8-string package provides
+haskell-utf8-string: operations for encoding UTF8 strings to Word8 lists and back, and
+haskell-utf8-string: for reading and writing UTF8 without truncation.
+haskell-utf8-string:
+haskell-utf8-string: Homepage: http://hackage.haskell.org/package/utf8-string
+haskell-utf8-string:
+haskell-utf8-string:
+haskell-utf8-string:
+haskell-utf8-string: